summaryrefslogtreecommitdiffstats
path: root/source/n/autofs/autofs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/autofs/autofs.SlackBuild')
-rwxr-xr-xsource/n/autofs/autofs.SlackBuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/source/n/autofs/autofs.SlackBuild b/source/n/autofs/autofs.SlackBuild
new file mode 100755
index 000000000..8886f3f1e
--- /dev/null
+++ b/source/n/autofs/autofs.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=3.1.7
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-1}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-autofs
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/{sbin,man/man{5,8}}
+
+cd $TMP
+tar xvf $CWD/autofs-$VERSION.tar.bz2 || exit 1
+cd autofs-$VERSION || exit 1
+zcat $CWD/autofs-$VERSION.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+# Allow x86_64 arch:
+zcat $CWD/autofs.x86_64.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+# Compensate for modern compiler requirements:
+zcat $CWD/autofs.gcc.fix.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+sed -i -e "s/OPEN_MAX/NR_OPEN/" $(grep -lr OPEN_MAX *)
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --build=$ARCH-slackware-linux
+
+make || exit 1
+
+make install INSTALLROOT=$PKG || exit 1
+
+strip $PKG/usr/sbin/*
+gzip -9 $PKG/usr/man/man*/*
+
+mkdir -p $PKG/usr/doc/autofs-$VERSION
+cp -a \
+ COPYING COPYRIGHT NEWS README README.options TODO \
+ multiserver_mount.patch samples \
+ $PKG/usr/doc/autofs-$VERSION
+( cd $PKG/usr/doc/autofs-$VERSION
+ find . \( -name Makefile -o -name *.in \) -exec rm -f {} \;
+ find . -type d -exec chmod 755 {} \;
+ find . -type f -exec chmod 644 {} \;
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/autofs-$VERSION-$ARCH-$BUILD.txz
+